
package mhp.oee.wserp.mejd;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "SI_ORD_2_ORDER_OUTService", targetNamespace = "http://atlbatter.com/ANDON/ord_2_order", wsdlLocation = "http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/6e06e44dc2fb3aaf9a6329adb17d75b9")
public class SIORD2ORDEROUTService
    extends Service
{

    private final static URL SIORD2ORDEROUTSERVICE_WSDL_LOCATION;
    private final static WebServiceException SIORD2ORDEROUTSERVICE_EXCEPTION;
    private final static QName SIORD2ORDEROUTSERVICE_QNAME = new QName("http://atlbatter.com/ANDON/ord_2_order", "SI_ORD_2_ORDER_OUTService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/6e06e44dc2fb3aaf9a6329adb17d75b9");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        SIORD2ORDEROUTSERVICE_WSDL_LOCATION = url;
        SIORD2ORDEROUTSERVICE_EXCEPTION = e;
    }

    public SIORD2ORDEROUTService() {
        super(__getWsdlLocation(), SIORD2ORDEROUTSERVICE_QNAME);
    }

    public SIORD2ORDEROUTService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SIORD2ORDEROUTSERVICE_QNAME, features);
    }

    public SIORD2ORDEROUTService(URL wsdlLocation) {
        super(wsdlLocation, SIORD2ORDEROUTSERVICE_QNAME);
    }

    public SIORD2ORDEROUTService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SIORD2ORDEROUTSERVICE_QNAME, features);
    }

    public SIORD2ORDEROUTService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SIORD2ORDEROUTService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns SIORD2ORDEROUT
     */
    @WebEndpoint(name = "HTTP_Port")
    public SIORD2ORDEROUT getHTTPPort() {
        return super.getPort(new QName("http://atlbatter.com/ANDON/ord_2_order", "HTTP_Port"), SIORD2ORDEROUT.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SIORD2ORDEROUT
     */
    @WebEndpoint(name = "HTTP_Port")
    public SIORD2ORDEROUT getHTTPPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbatter.com/ANDON/ord_2_order", "HTTP_Port"), SIORD2ORDEROUT.class, features);
    }

    /**
     * 
     * @return
     *     returns SIORD2ORDEROUT
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SIORD2ORDEROUT getHTTPSPort() {
        return super.getPort(new QName("http://atlbatter.com/ANDON/ord_2_order", "HTTPS_Port"), SIORD2ORDEROUT.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SIORD2ORDEROUT
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SIORD2ORDEROUT getHTTPSPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbatter.com/ANDON/ord_2_order", "HTTPS_Port"), SIORD2ORDEROUT.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SIORD2ORDEROUTSERVICE_EXCEPTION!= null) {
            throw SIORD2ORDEROUTSERVICE_EXCEPTION;
        }
        return SIORD2ORDEROUTSERVICE_WSDL_LOCATION;
    }

}
